Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -1991,41 +1989,30 @@
 	 * @return	array		The truncated value array of items
 	 */
 	function checkValue_checkMax($tcaFieldConf, $valueArray) {
-		// BTW, checking for min and max items here does NOT make any sense when MM is used because the above function calls will just return an array with a single item (the count) if MM is used... Why didn't I perform the check before? Probably because we could not evaluate the validity of record uids etc... Hmm...
+			// BTW, checking for min and max items here does NOT make any sense when MM is used because the above function calls will just return an array with a single item (the count) if MM is used... Why didn't I perform the check before? Probably because we could not evaluate the validity of record uids etc... Hmm...
 
 		$valueArrayC = count($valueArray);
 
 			// NOTE to the comment: It's not really possible to check for too few items, because you must then determine first, if the field is actual used regarding the CType.
-		$maxI = isset($tcaFieldConf['maxitems']) ? intval($tcaFieldConf['maxitems']):1;
+		$maxI = isset($tcaFieldConf['maxitems']) ? intval($tcaFieldConf['maxitems']) : 1;
-		if ($valueArrayC > $maxI)	{$valueArrayC=$maxI;}	// Checking for not too many elements
+		if ($valueArrayC > $maxI) {
+			$valueArrayC = $maxI;
+		} // Checking for not too many elements
 
 			// Dumping array to list
-		$newVal=array();
+		$newVal = array();
-		foreach($valueArray as $nextVal)	{
+		foreach ($valueArray as $nextVal) {
-			if ($valueArrayC==0)	{break;}
+			if ($valueArrayC == 0) {
+				break;
+			}
 			$valueArrayC--;
-			$newVal[]=$nextVal;
+			$newVal[] = $nextVal;
 		}
 
 		return $newVal;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Helper functions for evaluation functions.
@@ -2042,29 +2029,35 @@
 	 * @param	integer		If set, the value will be unique for this PID
 	 * @return	string		Modified value (if not-unique). Will be the value appended with a number (until 100, then the function just breaks).
 	 */
-	function getUnique($table,$field,$value,$id,$newPid=0)	{
+	function getUnique($table, $field, $value, $id, $newPid = 0) {
 		global $TCA;
 
 			// Initialize:
 		t3lib_div::loadTCA($table);
-		$whereAdd='';
+		$whereAdd = '';
-		$newValue='';
+		$newValue = '';
-		if (intval($newPid))	{ $whereAdd.=' AND pid='.intval($newPid); } else { $whereAdd.=' AND pid>=0'; }	// "AND pid>=0" for versioning
+		if (intval($newPid)) {
+			$whereAdd .= ' AND pid=' . intval($newPid);
+		} else {
+			$whereAdd .= ' AND pid>=0';
+		} // "AND pid>=0" for versioning
-		$whereAdd.=$this->deleteClause($table);
+		$whereAdd .= $this->deleteClause($table);
 
 			// If the field is configured in TCA, proceed:
-		if (is_array($TCA[$table]) && is_array($TCA[$table]['columns'][$field]))	{
+		if (is_array($TCA[$table]) && is_array($TCA[$table]['columns'][$field])) {
 
 				// Look for a record which might already have the value:
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, $field.'='.$GLOBALS['TYPO3_DB']->fullQuoteStr($value, $table).' AND uid!='.intval($id).$whereAdd);
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, $field . '=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($value, $table) . ' AND uid!=' . intval($id) . $whereAdd);
 			$counter = 0;
 
 				// For as long as records with the test-value existing, try again (with incremented numbers appended).
-			while ($GLOBALS['TYPO3_DB']->sql_num_rows($res))	{
+			while ($GLOBALS['TYPO3_DB']->sql_num_rows($res)) {
-				$newValue = $value.$counter;
+				$newValue = $value . $counter;
-				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, $field.'='.$GLOBALS['TYPO3_DB']->fullQuoteStr($newValue, $table).' AND uid!='.intval($id).$whereAdd);
+				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, $field . '=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($newValue, $table) . ' AND uid!=' . intval($id) . $whereAdd);
 				$counter++;
-				if ($counter>100)	{ break; }	// At "100" it will give up and accept a duplicate - should probably be fixed to a small hash string instead...!
+				if ($counter > 100) {
+					break;
+				} // At "100" it will give up and accept a duplicate - should probably be fixed to a small hash string instead...!
 			}
 				// If the new value is there:
 			$value = strlen($newValue) ? $newValue : $value;
@@ -2072,10 +2065,10 @@
 		return $value;
 	}
 
-	function checkValue_text_Eval($value,$evalArray,$is_in)	{
+	function checkValue_text_Eval($value, $evalArray, $is_in) {
-		$res = Array();
+		$res = array();
 		$newValue = $value;
-		$set = true;
+		$set = TRUE;
 
 		foreach ($evalArray as $func) {
 			switch ($func) {
@@ -2083,19 +2076,23 @@
 					$value = trim($value);
 				break;
 				case 'required':
-					if (!$value)	{$set=0;}
+					if (!$value) {
+						$set = 0;
+					}
 				break;
 				default:
-					if (substr($func, 0, 3) == 'tx_')	{
+					if (substr($func, 0, 3) == 'tx_') {
-						$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func].':&'.$func);
+						$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func] . ':&' . $func);
-						if (is_object($evalObj) && method_exists($evalObj, 'evaluateFieldValue'))	{
+						if (is_object($evalObj) && method_exists($evalObj, 'evaluateFieldValue')) {
 							$value = $evalObj->evaluateFieldValue($value, $is_in, $set);
 						}
 					}
 				break;
 			}
 		}
-		if ($set)	{$res['value'] = $value;}
+		if ($set) {
+			$res['value'] = $value;
+		}
 		return $res;
 	}
 
@@ -2107,13 +2104,13 @@
 	 * @param	string		Is-in string for 'is_in' evaluation
 	 * @return	array		Modified $value in key 'value' or empty array
 	 */
-	function checkValue_input_Eval($value,$evalArray,$is_in)	{
+	function checkValue_input_Eval($value, $evalArray, $is_in) {
-		$res = Array();
+		$res = array();
 		$newValue = $value;
-		$set = true;
+		$set = TRUE;
 
-		foreach($evalArray as $func)	{
+		foreach ($evalArray as $func) {
-			switch($func)	{
+			switch ($func) {
 				case 'int':
 				case 'year':
 				case 'time':
@@ -2123,7 +2120,7 @@
 				case 'date':
 				case 'datetime':
 					$value = intval($value);
-					if ($value>0 && !$this->dontProcessTransformations)	{
+					if ($value > 0 && !$this->dontProcessTransformations) {
 						$value -= date('Z', $value);
 					}
 				break;
@@ -2131,7 +2128,7 @@
 					$value = preg_replace('/[^0-9,\.-]/', '', $value);
 					$negative = substr($value, 0, 1) == '-';
 					$value = strtr($value, array(',' => '.', '-' => ''));
-					if (strpos($value, '.') === false) {
+					if (strpos($value, '.') === FALSE) {
 						$value .= '.0';
 					}
 					$valueArray = explode('.', $value);
@@ -2143,7 +2140,9 @@
 					$value = number_format($value, 2, '.', '');
 				break;
 				case 'md5':
-					if (strlen($value)!=32){$set=false;}
+					if (strlen($value) != 32) {
+						$set = FALSE;
+					}
 				break;
 				case 'trim':
 					$value = trim($value);
@@ -2156,48 +2155,50 @@
 				break;
 				case 'required':
 					if (!isset($value) || $value === '') {
-						$set = false;
+						$set = FALSE;
 					}
 				break;
 				case 'is_in':
-					$c=strlen($value);
+					$c = strlen($value);
-					if ($c)	{
+					if ($c) {
 						$newVal = '';
-						for ($a=0;$a<$c;$a++)	{
+						for ($a = 0; $a < $c; $a++) {
-							$char = substr($value,$a,1);
+							$char = substr($value, $a, 1);
-							if (strpos($is_in,$char) !== false) {
+							if (strpos($is_in, $char) !== FALSE) {
-								$newVal.=$char;
+								$newVal .= $char;
 							}
 						}
 						$value = $newVal;
 					}
 				break;
 				case 'nospace':
-					$value = str_replace(' ','',$value);
+					$value = str_replace(' ', '', $value);
 				break;
 				case 'alpha':
-					$value = preg_replace('/[^a-zA-Z]/','',$value);
+					$value = preg_replace('/[^a-zA-Z]/', '', $value);
 				break;
 				case 'num':
-					$value = preg_replace('/[^0-9]/','',$value);
+					$value = preg_replace('/[^0-9]/', '', $value);
 				break;
 				case 'alphanum':
-					$value = preg_replace('/[^a-zA-Z0-9]/','',$value);
+					$value = preg_replace('/[^a-zA-Z0-9]/', '', $value);
 				break;
 				case 'alphanum_x':
-					$value = preg_replace('/[^a-zA-Z0-9_-]/','',$value);
+					$value = preg_replace('/[^a-zA-Z0-9_-]/', '', $value);
 				break;
 				default:
-					if (substr($func, 0, 3) == 'tx_')	{
+					if (substr($func, 0, 3) == 'tx_') {
-						$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func].':&'.$func);
+						$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func] . ':&' . $func);
-						if (is_object($evalObj) && method_exists($evalObj, 'evaluateFieldValue'))	{
+						if (is_object($evalObj) && method_exists($evalObj, 'evaluateFieldValue')) {
 							$value = $evalObj->evaluateFieldValue($value, $is_in, $set);
 						}
 					}
 				break;
 			}
 		}
-		if ($set)	{$res['value'] = $value;}
+		if ($set) {
+			$res['value'] = $value;
+		}
 		return $res;
 	}
 
@@ -2214,24 +2215,24 @@
 	 * @return	array		Modified value array
 	 */
 	function checkValue_group_select_processDBdata($valueArray, $tcaFieldConf, $id, $status, $type, $currentTable, $currentField) {
-		$tables = $type=='group'?$tcaFieldConf['allowed']:$tcaFieldConf['foreign_table'].','.$tcaFieldConf['neg_foreign_table'];
+		$tables = $type == 'group' ? $tcaFieldConf['allowed'] : $tcaFieldConf['foreign_table'] . ',' . $tcaFieldConf['neg_foreign_table'];
-		$prep = $type=='group'?$tcaFieldConf['prepend_tname']:$tcaFieldConf['neg_foreign_table'];
+		$prep = $type == 'group' ? $tcaFieldConf['prepend_tname'] : $tcaFieldConf['neg_foreign_table'];
 		$newRelations = implode(',', $valueArray);
 
 		$dbAnalysis = t3lib_div::makeInstance('t3lib_loadDBGroup');
 		/* @var $dbAnalysis t3lib_loadDBGroup */
-		$dbAnalysis->registerNonTableValues=$tcaFieldConf['allowNonIdValues'] ? 1 : 0;
+		$dbAnalysis->registerNonTableValues = $tcaFieldConf['allowNonIdValues'] ? 1 : 0;
 		$dbAnalysis->start($newRelations, $tables, '', 0, $currentTable, $tcaFieldConf);
 
-		if ($tcaFieldConf['MM'])	{
+		if ($tcaFieldConf['MM']) {
-			if ($status=='update')	{
+			if ($status == 'update') {
 				$oldRelations_dbAnalysis = t3lib_div::makeInstance('t3lib_loadDBGroup');
 				/* @var $oldRelations_dbAnalysis t3lib_loadDBGroup */
-				$oldRelations_dbAnalysis->registerNonTableValues=$tcaFieldConf['allowNonIdValues'] ? 1 : 0;
+				$oldRelations_dbAnalysis->registerNonTableValues = $tcaFieldConf['allowNonIdValues'] ? 1 : 0;
 					// db analysis with $id will initialize with the existing relations
 				$oldRelations_dbAnalysis->start('', $tables, $tcaFieldConf['MM'], $id, $currentTable, $tcaFieldConf);
 				$oldRelations = implode(',', $oldRelations_dbAnalysis->getValueArray());
-				$dbAnalysis->writeMM($tcaFieldConf['MM'],$id,$prep);
+				$dbAnalysis->writeMM($tcaFieldConf['MM'], $id, $prep);
 				if ($oldRelations != $newRelations) {
 					$this->mmHistoryRecords[$currentTable . ':' . $id]['oldRecord'][$currentField] = $oldRelations;
 					$this->mmHistoryRecords[$currentTable . ':' . $id]['newRecord'][$currentField] = $newRelations;
@@ -2240,13 +2241,13 @@
 					$this->mmHistoryRecords[$currentTable . ':' . $id]['newRecord'][$currentField] = '';
 				}
 			} else {
-				$this->dbAnalysisStore[] = array($dbAnalysis,$tcaFieldConf['MM'],$id,$prep,$currentTable);	// This will be traversed later to execute the actions
+				$this->dbAnalysisStore[] = array($dbAnalysis, $tcaFieldConf['MM'], $id, $prep, $currentTable); // This will be traversed later to execute the actions
 			}
 			$valueArray = $dbAnalysis->countItems();
 		} else {
 			$valueArray = $dbAnalysis->getValueArray($prep);
-			if ($type=='select' && $prep)	{
+			if ($type == 'select' && $prep) {
-				$valueArray = $dbAnalysis->convertPosNeg($valueArray,$tcaFieldConf['foreign_table'],$tcaFieldConf['neg_foreign_table']);
+				$valueArray = $dbAnalysis->convertPosNeg($valueArray, $tcaFieldConf['foreign_table'], $tcaFieldConf['neg_foreign_table']);
 			}
 		}
 
@@ -2260,10 +2261,10 @@
 	 * @param	string		Input string, comma separated values. For each part it will also be detected if a '|' is found and the first part will then be used if that is the case. Further the value will be rawurldecoded.
 	 * @return	array		The value array.
 	 */
-	function checkValue_group_select_explodeSelectGroupValue($value)	{
+	function checkValue_group_select_explodeSelectGroupValue($value) {
-		$valueArray = t3lib_div::trimExplode(',',$value,1);
+		$valueArray = t3lib_div::trimExplode(',', $value, 1);
 		foreach ($valueArray as &$newVal) {
-			$temp=explode('|',$newVal,2);
+			$temp = explode('|', $newVal, 2);
 			$newVal = str_replace(
 				',',
 				'',
@@ -2287,12 +2288,12 @@
 	 * @return	array		The modified 'data' part.
 	 * @see checkValue_flex_procInData_travDS()
 	 */
-	function checkValue_flex_procInData($dataPart,$dataPart_current,$uploadedFiles,$dataStructArray,$pParams,$callBackFunc='')	{
+	function checkValue_flex_procInData($dataPart, $dataPart_current, $uploadedFiles, $dataStructArray, $pParams, $callBackFunc = '') {
-		if (is_array($dataPart))	{
+		if (is_array($dataPart)) {
-			foreach($dataPart as $sKey => $sheetDef)	{
+			foreach ($dataPart as $sKey => $sheetDef) {
-				list ($dataStruct,$actualSheet) = t3lib_div::resolveSheetDefInDS($dataStructArray,$sKey);
+				list ($dataStruct, $actualSheet) = t3lib_div::resolveSheetDefInDS($dataStructArray, $sKey);
-				if (is_array($dataStruct) && $actualSheet==$sKey && is_array($sheetDef))	{
+				if (is_array($dataStruct) && $actualSheet == $sKey && is_array($sheetDef)) {
-					foreach($sheetDef as $lKey => $lData)	{
+					foreach ($sheetDef as $lKey => $lData) {
 						$this->checkValue_flex_procInData_travDS(
 							$dataPart[$sKey][$lKey],
 							$dataPart_current[$sKey][$lKey],
@@ -2300,7 +2301,7 @@
 							$dataStruct['ROOT']['el'],
 							$pParams,
 							$callBackFunc,
-							$sKey.'/'.$lKey.'/'
+							$sKey . '/' . $lKey . '/'
 						);
 					}
 				}
@@ -2324,123 +2325,127 @@
 	 * @return	void
 	 * @see checkValue_flex_procInData()
 	 */
-	function checkValue_flex_procInData_travDS(&$dataValues,$dataValues_current,$uploadedFiles,$DSelements,$pParams,$callBackFunc,$structurePath)	{
+	function checkValue_flex_procInData_travDS(&$dataValues, $dataValues_current, $uploadedFiles, $DSelements, $pParams, $callBackFunc, $structurePath) {
-		if (is_array($DSelements))	{
+		if (is_array($DSelements)) {
 
 				// For each DS element:
-			foreach($DSelements as $key => $dsConf)	{
+			foreach ($DSelements as $key => $dsConf) {
 
-						// Array/Section:
+					// Array/Section:
-				if ($DSelements[$key]['type']=='array')	{
+				if ($DSelements[$key]['type'] == 'array') {
-					if (is_array($dataValues[$key]['el']))	{
+					if (is_array($dataValues[$key]['el'])) {
-						if ($DSelements[$key]['section'])	{
+						if ($DSelements[$key]['section']) {
-							$newIndexCounter=0;
+							$newIndexCounter = 0;
-							foreach($dataValues[$key]['el'] as $ik => $el)	{
+							foreach ($dataValues[$key]['el'] as $ik => $el) {
-								if (is_array($el))	{
+								if (is_array($el)) {
-									if (!is_array($dataValues_current[$key]['el']))	$dataValues_current[$key]['el']=array();
+									if (!is_array($dataValues_current[$key]['el'])) {
+										$dataValues_current[$key]['el'] = array();
+									}
 
 									$theKey = key($el);
 
-									if (is_array($dataValues[$key]['el'][$ik][$theKey]['el']))	{
+									if (is_array($dataValues[$key]['el'][$ik][$theKey]['el'])) {
 										$this->checkValue_flex_procInData_travDS(
-												$dataValues[$key]['el'][$ik][$theKey]['el'],
-												is_array($dataValues_current[$key]['el'][$ik]) ? $dataValues_current[$key]['el'][$ik][$theKey]['el'] : array(),
-												$uploadedFiles[$key]['el'][$ik][$theKey]['el'],
-												$DSelements[$key]['el'][$theKey]['el'],
-												$pParams,
-												$callBackFunc,
+											$dataValues[$key]['el'][$ik][$theKey]['el'],
+											is_array($dataValues_current[$key]['el'][$ik]) ? $dataValues_current[$key]['el'][$ik][$theKey]['el'] : array(),
+											$uploadedFiles[$key]['el'][$ik][$theKey]['el'],
+											$DSelements[$key]['el'][$theKey]['el'],
+											$pParams,
+											$callBackFunc,
-												$structurePath.$key.'/el/'.$ik.'/'.$theKey.'/el/'
+											$structurePath . $key . '/el/' . $ik . '/' . $theKey . '/el/'
-											);
+										);
 
 											// If element is added dynamically in the flexform of TCEforms, we map the ID-string to the next numerical index we can have in that particular section of elements:
 											// The fact that the order changes is not important since order is controlled by a separately submitted index.
 
-										if (substr($ik,0,3)=="ID-")	{
+										if (substr($ik, 0, 3) == "ID-") {
 											$newIndexCounter++;
-											$this->newIndexMap[$ik] = (is_array($dataValues_current[$key]['el'])&&count($dataValues_current[$key]['el'])?max(array_keys($dataValues_current[$key]['el'])):0)+$newIndexCounter;	// Set mapping index
+											$this->newIndexMap[$ik] = (is_array($dataValues_current[$key]['el']) && count($dataValues_current[$key]['el']) ? max(array_keys($dataValues_current[$key]['el'])) : 0) + $newIndexCounter; // Set mapping index
-											$dataValues[$key]['el'][$this->newIndexMap[$ik]] = $dataValues[$key]['el'][$ik];	// Transfer values
+											$dataValues[$key]['el'][$this->newIndexMap[$ik]] = $dataValues[$key]['el'][$ik]; // Transfer values
-											unset($dataValues[$key]['el'][$ik]);	// Unset original
+											unset($dataValues[$key]['el'][$ik]); // Unset original
 										}
 									}
 								}
 							}
 						} else {
-							if (!isset($dataValues[$key]['el']))	$dataValues[$key]['el']=array();
+							if (!isset($dataValues[$key]['el'])) {
+								$dataValues[$key]['el'] = array();
+							}
 							$this->checkValue_flex_procInData_travDS(
-									$dataValues[$key]['el'],
-									$dataValues_current[$key]['el'],
-									$uploadedFiles[$key]['el'],
-									$DSelements[$key]['el'],
-									$pParams,
-									$callBackFunc,
+								$dataValues[$key]['el'],
+								$dataValues_current[$key]['el'],
+								$uploadedFiles[$key]['el'],
+								$DSelements[$key]['el'],
+								$pParams,
+								$callBackFunc,
-									$structurePath.$key.'/el/'
+								$structurePath . $key . '/el/'
-								);
+							);
 						}
 					}
 				} else {
-					if (is_array($dsConf['TCEforms']['config']) && is_array($dataValues[$key]))	{
+					if (is_array($dsConf['TCEforms']['config']) && is_array($dataValues[$key])) {
-						foreach($dataValues[$key] as $vKey => $data)	{
+						foreach ($dataValues[$key] as $vKey => $data) {
 
-							if ($callBackFunc)	{
+							if ($callBackFunc) {
-								if (is_object($this->callBackObj))	{
+								if (is_object($this->callBackObj)) {
 									$res = $this->callBackObj->$callBackFunc(
-												$pParams,
-												$dsConf['TCEforms']['config'],
-												$dataValues[$key][$vKey],
-												$dataValues_current[$key][$vKey],
-												$uploadedFiles[$key][$vKey],
+										$pParams,
+										$dsConf['TCEforms']['config'],
+										$dataValues[$key][$vKey],
+										$dataValues_current[$key][$vKey],
+										$uploadedFiles[$key][$vKey],
-												$structurePath.$key.'/'.$vKey.'/'
+										$structurePath . $key . '/' . $vKey . '/'
-											);
+									);
 								} else {
 									$res = $this->$callBackFunc(
-												$pParams,
-												$dsConf['TCEforms']['config'],
-												$dataValues[$key][$vKey],
-												$dataValues_current[$key][$vKey],
-												$uploadedFiles[$key][$vKey],
+										$pParams,
+										$dsConf['TCEforms']['config'],
+										$dataValues[$key][$vKey],
+										$dataValues_current[$key][$vKey],
+										$uploadedFiles[$key][$vKey],
-												$structurePath.$key.'/'.$vKey.'/'
+										$structurePath . $key . '/' . $vKey . '/'
-											);
+									);
 								}
-							} else {	// Default
+							} else { // Default
-								list($CVtable,$CVid,$CVcurValue,$CVstatus,$CVrealPid,$CVrecFID,$CVtscPID) = $pParams;
+								list($CVtable, $CVid, $CVcurValue, $CVstatus, $CVrealPid, $CVrecFID, $CVtscPID) = $pParams;
 
 								$res = $this->checkValue_SW(
-											array(),
-											$dataValues[$key][$vKey],
-											$dsConf['TCEforms']['config'],
-											$CVtable,
-											$CVid,
-											$dataValues_current[$key][$vKey],
-											$CVstatus,
-											$CVrealPid,
-											$CVrecFID,
-											'',
-											$uploadedFiles[$key][$vKey],
-											array(),
-											$CVtscPID
-										);
+									array(),
+									$dataValues[$key][$vKey],
+									$dsConf['TCEforms']['config'],
+									$CVtable,
+									$CVid,
+									$dataValues_current[$key][$vKey],
+									$CVstatus,
+									$CVrealPid,
+									$CVrecFID,
+									'',
+									$uploadedFiles[$key][$vKey],
+									array(),
+									$CVtscPID
+								);
 
 									// Look for RTE transformation of field:
-								if ($dataValues[$key]['_TRANSFORM_'.$vKey] == 'RTE' && !$this->dontProcessTransformations)	{
+								if ($dataValues[$key]['_TRANSFORM_' . $vKey] == 'RTE' && !$this->dontProcessTransformations) {
 
 										// Unsetting trigger field - we absolutely don't want that into the data storage!
-									unset($dataValues[$key]['_TRANSFORM_'.$vKey]);
+									unset($dataValues[$key]['_TRANSFORM_' . $vKey]);
 
-									if (isset($res['value']))	{
+									if (isset($res['value'])) {
 
 											// Calculating/Retrieving some values here:
-										list(,,$recFieldName) = explode(':', $CVrecFID);
+										list(, , $recFieldName) = explode(':', $CVrecFID);
-										$theTypeString = t3lib_BEfunc::getTCAtypeValue($CVtable,$this->checkValue_currentRecord);
+										$theTypeString = t3lib_BEfunc::getTCAtypeValue($CVtable, $this->checkValue_currentRecord);
-										$specConf = t3lib_BEfunc::getSpecConfParts('',$dsConf['TCEforms']['defaultExtras']);
+										$specConf = t3lib_BEfunc::getSpecConfParts('', $dsConf['TCEforms']['defaultExtras']);
 
 											// Find, thisConfig:
-										$RTEsetup = $this->BE_USER->getTSConfig('RTE',t3lib_BEfunc::getPagesTSconfig($CVtscPID));
+										$RTEsetup = $this->BE_USER->getTSConfig('RTE', t3lib_BEfunc::getPagesTSconfig($CVtscPID));
-										$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'],$CVtable,$recFieldName,$theTypeString);
+										$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'], $CVtable, $recFieldName, $theTypeString);
 
 											// Get RTE object, draw form and set flag:
 										$RTEobj = t3lib_BEfunc::RTEgetObj();
-										if (is_object($RTEobj))	{
+										if (is_object($RTEobj)) {
-											$res['value'] = $RTEobj->transformContent('db',$res['value'],$CVtable,$recFieldName,$this->checkValue_currentRecord,$specConf,$thisConfig,'',$CVrealPid);
+											$res['value'] = $RTEobj->transformContent('db', $res['value'], $CVtable, $recFieldName, $this->checkValue_currentRecord, $specConf, $thisConfig, '', $CVrealPid);
 										} else {
 											debug('NO RTE OBJECT FOUND!');
 										}
@@ -2449,24 +2454,24 @@
 							}
 
 								// Adding the value:
-							if (isset($res['value']))	{
+							if (isset($res['value'])) {
 								$dataValues[$key][$vKey] = $res['value'];
 							}
 
 								// Finally, check if new and old values are different (or no .vDEFbase value is found) and if so, we record the vDEF value for diff'ing.
 								// We do this after $dataValues has been updated since I expect that $dataValues_current holds evaluated values from database (so this must be the right value to compare with).
-							if (substr($vKey,-9)!='.vDEFbase')	{
+							if (substr($vKey, -9) != '.vDEFbase') {
-								if ($this->clear_flexFormData_vDEFbase)	{
+								if ($this->clear_flexFormData_vDEFbase) {
-									$dataValues[$key][$vKey.'.vDEFbase'] = '';
+									$dataValues[$key][$vKey . '.vDEFbase'] = '';
-								} elseif ($this->updateModeL10NdiffData && $GLOBALS['TYPO3_CONF_VARS']['BE']['flexFormXMLincludeDiffBase'] && $vKey!=='vDEF' && (strcmp($dataValues[$key][$vKey],$dataValues_current[$key][$vKey]) || !isset($dataValues_current[$key][$vKey.'.vDEFbase']) || $this->updateModeL10NdiffData==='FORCE_FFUPD'))	{
+								} elseif ($this->updateModeL10NdiffData && $GLOBALS['TYPO3_CONF_VARS']['BE']['flexFormXMLincludeDiffBase'] && $vKey !== 'vDEF' && (strcmp($dataValues[$key][$vKey], $dataValues_current[$key][$vKey]) || !isset($dataValues_current[$key][$vKey . '.vDEFbase']) || $this->updateModeL10NdiffData === 'FORCE_FFUPD')) {
 										// Now, check if a vDEF value is submitted in the input data, if so we expect this has been processed prior to this operation (normally the case since those fields are higher in the form) and we can use that:
-									if (isset($dataValues[$key]['vDEF']))	{
+									if (isset($dataValues[$key]['vDEF'])) {
 										$diffValue = $dataValues[$key]['vDEF'];
-									} else {	// If not found (for translators with no access to the default language) we use the one from the current-value data set:
+									} else { // If not found (for translators with no access to the default language) we use the one from the current-value data set:
 										$diffValue = $dataValues_current[$key]['vDEF'];
 									}
 										// Setting the reference value for vDEF for this translation. This will be used for translation tools to make a diff between the vDEF and vDEFbase to see if an update would be fitting.
-									$dataValues[$key][$vKey.'.vDEFbase'] = $this->updateModeL10NdiffDataClear ? '' : $diffValue;
+									$dataValues[$key][$vKey . '.vDEFbase'] = $this->updateModeL10NdiffDataClear ? '' : $diffValue;
 								}
 							}
 						}
@@ -2487,7 +2492,7 @@
 	 * @param	string		The current field the values are modified for
 	 * @return	string		Modified values
 	 */
-	protected function checkValue_inline_processDBdata($valueArray, $tcaFieldConf, $id, $status, $table, $field)	{
+	protected function checkValue_inline_processDBdata($valueArray, $tcaFieldConf, $id, $status, $table, $field) {
 		$newValue = '';
 		$foreignTable = $tcaFieldConf['foreign_table'];
 
@@ -2499,63 +2504,52 @@
 		$dbAnalysis->start(implode(',', $valueArray), $foreignTable, '', 0, $table, $tcaFieldConf);
 			// If the localizationMode is set to 'keep', the children for the localized parent are kept as in the original untranslated record:
 		$localizationMode = t3lib_BEfunc::getInlineLocalizationMode($table, $tcaFieldConf);
-		if ($localizationMode=='keep' && $status=='update') {
+		if ($localizationMode == 'keep' && $status == 'update') {
 				// Fetch the current record and determine the original record:
 			$row = t3lib_BEfunc::getRecordWSOL($table, $id);
 			if (is_array($row)) {
 				$language = intval($row[$GLOBALS['TCA'][$table]['ctrl']['languageField']]);
 				$transOrigPointer = intval($row[$GLOBALS['TCA'][$table]['ctrl']['transOrigPointerField']]);
 					// If language is set (e.g. 1) and also transOrigPointer (e.g. 123), use transOrigPointer as uid:
-				if ($language>0 && $transOrigPointer) {
+				if ($language > 0 && $transOrigPointer) {
 					$id = $transOrigPointer;
 						// If we're in active localizationMode 'keep', prevent from writing data to the field of the parent record:
 						// (on removing the localized parent, the original (untranslated) children would then also be removed)
-					$keepTranslation = true;
+					$keepTranslation = TRUE;
 				}
 			}
 		}
 			// IRRE with a pointer field (database normalization):
 		if ($tcaFieldConf['foreign_field']) {
 				// if the record was imported, sorting was also imported, so skip this
-			$skipSorting = ($this->callFromImpExp ? true : false);
+			$skipSorting = ($this->callFromImpExp ? TRUE : FALSE);
 				// update record in intermediate table (sorting & pointer uid to parent record)
 			$dbAnalysis->writeForeignField($tcaFieldConf, $id, 0, $skipSorting);
-			$newValue = ($keepTranslation ? 0 : $dbAnalysis->countItems(false));
+			$newValue = ($keepTranslation ? 0 : $dbAnalysis->countItems(FALSE));
-			// IRRE with MM relation:
+				// IRRE with MM relation:
-		} else if ($this->getInlineFieldType($tcaFieldConf) == 'mm') {
+		} else {
+			if ($this->getInlineFieldType($tcaFieldConf) == 'mm') {
-				// in order to fully support all the MM stuff, directly call checkValue_group_select_processDBdata instead of repeating the needed code here
-			$valueArray = $this->checkValue_group_select_processDBdata($valueArray, $tcaFieldConf, $id, $status, 'select', $table, $field);
-			$newValue = ($keepTranslation ? 0 : $valueArray[0]);
-			// IRRE with comma separated values:
-		} else {
-			$valueArray = $dbAnalysis->getValueArray();
-				// Checking that the number of items is correct:
-			$valueArray = $this->checkValue_checkMax($tcaFieldConf, $valueArray);
-				// If a valid translation of the 'keep' mode is active, update relations in the original(!) record:
-			if ($keepTranslation) {
-				$this->updateDB($table, $transOrigPointer, array($field => implode(',', $valueArray)));
-			} else {
-				$newValue = implode(',', $valueArray);
-			}
-		}
+					// in order to fully support all the MM stuff, directly call checkValue_group_select_processDBdata instead of repeating the needed code here
+				$valueArray = $this->checkValue_group_select_processDBdata($valueArray, $tcaFieldConf, $id, $status, 'select', $table, $field);
+				$newValue = ($keepTranslation ? 0 : $valueArray[0]);
+					// IRRE with comma separated values:
+			} else {
+				$valueArray = $dbAnalysis->getValueArray();
+					// Checking that the number of items is correct:
+				$valueArray = $this->checkValue_checkMax($tcaFieldConf, $valueArray);
+					// If a valid translation of the 'keep' mode is active, update relations in the original(!) record:
+				if ($keepTranslation) {
+					$this->updateDB($table, $transOrigPointer, array($field => implode(',', $valueArray)));
+				} else {
+					$newValue = implode(',', $valueArray);
+				}
+			}
+		}
 
 		return $newValue;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * PROCESSING COMMANDS
@@ -2572,14 +2566,14 @@
 		global $TCA, $TYPO3_CONF_VARS;
 
 			// Editing frozen:
-		if ($this->BE_USER->workspace!==0 && $this->BE_USER->workspaceRec['freeze'])	{
+		if ($this->BE_USER->workspace !== 0 && $this->BE_USER->workspaceRec['freeze']) {
-			$this->newlog('All editing in this workspace has been frozen!',1);
+			$this->newlog('All editing in this workspace has been frozen!', 1);
 			return FALSE;
 		}
 
 			// Hook initialization:
 		$hookObjectsArr = array();
-		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'])) {
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'] as $classRef) {
 				$hookObj = t3lib_div::getUserObj($classRef);
 				if (method_exists($hookObj, 'processCmdmap_beforeStart')) {
